org.modeshape.webdav

## Class WebDavServletBean

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.modeshape.webdav.WebDavServletBean

- All Implemented Interfaces:
    Serializable, Servlet, ServletConfig
  Direct Known Subclasses:
    WebdavServlet

      public class WebDavServletBean
      extends HttpServlet

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static MessageDigest` | `MD5_HELPER` MD5 message digest provider.
    `protected ResourceLocks` | `resLocks`
    `protected IWebdavStore` | `store`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebDavServletBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `init(IWebdavStore store, String dftIndexFile, String insteadOf404, int nocontentLenghHeaders, boolean lazyFolderCreationOnPut)`
    `protected IMethodExecutor` | `register(String methodName, IMethodExecutor method)`
    `protected void` | `service(HttpServletRequest req, HttpServletResponse resp)` Handles the special WebDAV methods.
    `protected Throwable` | `translate(Throwable t)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MD5_HELPER

          protected static MessageDigest MD5_HELPER

      MD5 message digest provider.

    - #### resLocks

          protected final ResourceLocks resLocks

    - #### store

          protected IWebdavStore store

  - ### Constructor Detail

    - #### WebDavServletBean

          public WebDavServletBean()

  - ### Method Detail

    - #### init

          public void init(IWebdavStore store,
                  String dftIndexFile,
                  String insteadOf404,
                  int nocontentLenghHeaders,
                  boolean lazyFolderCreationOnPut)
                    throws ServletException

      Throws:
        `ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `Servlet`
      Overrides:
        `destroy` in class `GenericServlet`

    - #### register

          protected IMethodExecutor register(String methodName,
                                 IMethodExecutor method)

    - #### service

          protected void service(HttpServletRequest req,
                     HttpServletResponse resp)
                          throws ServletException,
                                 IOException

      Handles the special WebDAV methods.
      Overrides:
        `service` in class `HttpServlet`
      Throws:
        `ServletException`
        `IOException`

    - #### translate

          protected Throwable translate(Throwable t)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.